//========================================================================================
//
//	File:				PRValLnk.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef PRVALLNK_H
#define PRVALLNK_H

#ifndef PRLIST_H
#include "PRList.h"
#endif

//========================================================================================
// Class FW_CPrivValueLink
//========================================================================================

class FW_CPrivValueLink : public FW_CPrivLink 
{	
//----------------------------------------------------------------------------------------
//	Constructors/Destructor
//
public:
	FW_CPrivValueLink(void* value);		
	virtual  ~FW_CPrivValueLink();
	
//----------------------------------------------------------------------------------------
//	API
//
public:
	void*			GetValue()			
						{ return fValue;}
	void			SetValue(void* v)			
						{ fValue = v;}
						
//----------------------------------------------------------------------------------------
//	Data Members
//
private:
	void* 			fValue;
};

#endif
