//========================================================================================
//
//	File:				FWMRefCt.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWMREFCT_H
#define FWMREFCT_H

#ifndef FWRUNTYP_H
#include "FWRunTyp.h"
#endif

//========================================================================================
//	class FW_MRefCount
//========================================================================================

class FW_MRefCount
{
public:
	FW_DECLARE_CLASS

protected:
	FW_MRefCount();
	virtual ~FW_MRefCount();
	
public:
	virtual long	Release();
	virtual long	Acquire();

	long			GetRefCount();
	
private:	
	long			fRefCount;
};

//========================================================================================
//	Inlines
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_MRefCount::GetRefCount
//----------------------------------------------------------------------------------------

inline long FW_MRefCount::GetRefCount()
{
	return fRefCount;
}

#endif
