//========================================================================================
//
//	File:				FWAGrowB.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWGROWBX_H
#include "FWGrowBx.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CGrowBox
//========================================================================================

const FW_ClassTypeConstant FW_LGrowBox = FW_TYPE_CONSTANT('g','r','b','x');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LGrowBox, FW_CGrowBox, FW_CGrowBox::Create, FW_CView::Read, FW_CGrowBox::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CGrowBox::Create
//----------------------------------------------------------------------------------------

void* FW_CGrowBox::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return new FW_CGrowBox(ev);
}

//----------------------------------------------------------------------------------------
//	FW_CGrowBox::Destroy
//----------------------------------------------------------------------------------------

void FW_CGrowBox::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CGrowBox* self = (FW_CGrowBox*) object;
	delete self;
}

