//========================================================================================
//
//	File:				FWAStati.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWSTATIC_H
#include "FWStatic.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CStaticText
//========================================================================================

const FW_ClassTypeConstant FW_LStaticText = FW_TYPE_CONSTANT('s','t','x','t');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LStaticText, FW_CStaticText, FW_CStaticText::Create, FW_CView::Read, FW_CStaticText::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CButton::Create
//----------------------------------------------------------------------------------------

void* FW_CStaticText::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CStaticText, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CStaticText::Destroy
//----------------------------------------------------------------------------------------

void FW_CStaticText::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CStaticText* self = (FW_CStaticText*) object;
	delete self;
}

