//============================================================================
//
//	File:				SLUndoSt.fr
//	Release Version:	$ ODF 1 $
//
//	Contains:	Strings for Undo/Redo commands in the Framework
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//============================================================================

#ifndef SLODFSTR_K
#include "SLODFStr.k"
#endif

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

//----------------------------------------------------------------------------
//	Strings for Undo/Redo (Edit menu)
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (FW_kUndoStrings)
{
	FW_kDefaultUndoMsg,		"Undo ";
	FW_kDefaultRedoMsg,		"Redo ";
	FW_kUndoClearMsg,		"Undo Clear";
	FW_kRedoClearMsg,		"Redo Clear";
	FW_kUndoCutMsg,			"Undo Cut";
	FW_kRedoCutMsg,			"Redo Cut";
	FW_kUndoPasteMsg,		"Undo Paste";
	FW_kRedoPasteMsg,		"Redo Paste";
	FW_kUndoPasteAsMsg,		"Undo Paste As";
	FW_kRedoPasteAsMsg,		"Redo Paste As";
	FW_kUndoInsertMsg,		"Undo Insert";
	FW_kRedoInsertMsg,		"Redo Insert";
	FW_kUndoMoveMsg,		"Undo Move";
	FW_kRedoMoveMsg,		"Redo Move";
	FW_kUndoDropMsg,		"Undo Drop";
	FW_kRedoDropMsg,		"Redo Drop";
	FW_kUndoSetPropertyMsg, "Undo Set Property";
	FW_KRedoSetPropertyMsg, "Redo Set Property";
}
