//========================================================================================
//
//	File:				FWODUtils.hpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

// This file is used to precompile headers to build the OpenDoc Utilities used by ODF

#define ODDebug 0

#include "ODConfig.h"

#pragma once on

// Headers for OpenDoc utilities. Several of these need to be
// included before ODTypes.h to work their magic.

#define _CRAWL_		// this causes 'crawl.h' to not be included in ODDebug.h

#include <AltPoint.h>
#include <AltPoly.h>
#include <Except.h>
#include <ODDebug.h>

// Disable OpenDoc Utilities debugging macro's

#undef 	WARN
#define WARN
#undef 	ASSERT
#define ASSERT(x,y)
#undef 	ASSERTM
#define ASSERTM(x,y,z)
#undef	WASSERT
#define WASSERT(x)
#undef 	WASSERTM
#define WASSERTM(x,y)

#include <ODNew.h>
//#include <UseRsrcM.h>

// Central headers for OpenDoc types and part handler API:

#include <ODTypes.h>
#include <Part.xh>

#include "FWPoint.h"
