//========================================================================================
//
//	File:				FWKeyF.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWKEYF_H
#define FWKEYF_H

#ifndef FWEVENTH_H
#include "FWEventH.h"
#endif

#ifndef FWEVEDEF_H
#include "FWEveDef.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

//========================================================================================
//	class FW_CAlphaNumFilter
//========================================================================================

class FW_CAlphaNumFilter : public FW_MEventHandler
{
public:
	FW_DECLARE_CLASS

// ----- Construction
	FW_CAlphaNumFilter(Environment* ev, FW_MEventHandler* parent);
	virtual	~FW_CAlphaNumFilter();

// ----- Inherited from FW_MEventHandler

	virtual FW_Boolean 	DoCharKey(Environment* ev, const FW_CCharKeyEvent& theCharKeyEvent);

};

//========================================================================================
//	class FW_CIntegerFilter
//========================================================================================

class FW_CIntegerFilter : public FW_MEventHandler
{
public:
	FW_DECLARE_CLASS

// ----- Construction
	FW_CIntegerFilter(Environment* ev, FW_MEventHandler* parent);
	virtual	~FW_CIntegerFilter();

// ----- Inherited from FW_MEventHandler

	virtual FW_Boolean 	DoCharKey(Environment* ev, const FW_CCharKeyEvent& theCharKeyEvent);

};

#endif 

