//========================================================================================
//
//	File:				FWODMiss.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

// Contains various types missing in Windows version of OpenDoc (because
//	it is a few releases behind the Macintosh one)

#ifndef FWODMISS_H
#define FWODMISS_H

#if FW_OPENDOC_VERSION < FW_OPENDOC_DR2

// ----- OpenDoc Includes -----

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

class ODFrame;
class ODFacet;

struct ODEventInfo
{
	ODFrame* embeddedFrame;
	ODFacet* embeddedFacet;
	ODPoint where;
	ODBoolean propagated;
};

#define kODEvtMouseEnter			(WM_USER + 0x100 + 0)
#define kODEvtMouseWithin			(WM_USER + 0x100 + 1)
#define kODEvtMouseLeave			(WM_USER + 0x100 + 2)

#define kODFrameObject 				"OpenDoc:ObjectType:Frame"
#define kODNonPersistentFrameObject "OpenDoc:ObjectType:NonPersistentFrame"

#define kODDropIsMove				kODDropMove

#define kODNULLID					0

#define kODPresDefault				"OpenDoc:Presentation:Default"

#endif
#endif
