//========================================================================================
//
//	File:				FWObjSpc.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWOBJSPC_H
#include "FWObjSpc.h"
#endif

#ifndef FWDESC_H
#include "FWDesc.h"
#endif

#ifndef __AEOBJECTS__
#include <AEObjects.h>
#endif



//----------------------------------------------------------------------------------------
//	FW_CreateObjSpecifier
//----------------------------------------------------------------------------------------

void FW_CreateObjSpecifier(ODDescType desiredClass, 
						FW_CDesc& theContainer,
						ODDescType keyForm,
						FW_CDesc& keyData,
						FW_CDesc& objectSpecifier)
{
	objectSpecifier.PutType(desiredClass, keyAEDesiredClass);
	objectSpecifier.PutDataByDesc(theContainer, keyAEContainer);
	objectSpecifier.PutEnumeratedType(keyForm, keyAEKeyForm);
	objectSpecifier.PutDataByDesc(keyData, keyAEKeyData);

	objectSpecifier.CoerceInPlace(typeObjectSpecifier);
}
