//========================================================================================
//
//	File:				FWAEView.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWEDVIEW_H
#include "FWEdView.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CEditView
//========================================================================================

const FW_ClassTypeConstant FW_LEditView = FW_TYPE_CONSTANT('e','d','v','w');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LEditView, FW_CEditView, FW_CEditView::Create, FW_CView::Read, FW_CEditView::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
// FW_CEditView::Create
//----------------------------------------------------------------------------------------

void* FW_CEditView::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	FW_CEditView* view = FW_NEW(FW_CEditView, (ev));
	return view;
}

//----------------------------------------------------------------------------------------
//	FW_CEditView::Destroy
//----------------------------------------------------------------------------------------

void FW_CEditView::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CEditView* self = (FW_CEditView*) object;
	delete self;
}

