//========================================================================================
//
//	File:				FWAGrpBx.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWFrameW.hpp"

#ifndef FWSTATIC_H
#include "FWStatic.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CGroupBox
//========================================================================================

const FW_ClassTypeConstant FW_LGroupBox = FW_TYPE_CONSTANT('g','p','b','x');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LGroupBox, FW_CGroupBox, FW_CGroupBox::Create, FW_CView::Read, FW_CGroupBox::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CGroupBox::Create
//----------------------------------------------------------------------------------------

void* FW_CGroupBox::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CGroupBox, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CGroupBox::Destroy
//----------------------------------------------------------------------------------------

void FW_CGroupBox::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CGroupBox* self = (FW_CGroupBox*) object;
	delete self;
}

