//========================================================================================
//
//	File:				FWAPopu.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWPOPUP_H
#include "FWPopup.h"
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CPopupMenu
//========================================================================================

const FW_ClassTypeConstant FW_LPopupMenu = FW_TYPE_CONSTANT('p','o','p','m');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LPopupMenu, FW_CPopupMenu, FW_CPopupMenu::Create, FW_CView::Read, FW_CPopupMenu::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CPopupMenu::Create
//----------------------------------------------------------------------------------------

void* FW_CPopupMenu::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CPopupMenu, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CPopupMenu::Destroy
//----------------------------------------------------------------------------------------

void FW_CPopupMenu::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CPopupMenu* self = (FW_CPopupMenu*) object;
	delete self;
}

