//========================================================================================
//
//	File:				FWASclBr.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWFrameW.hpp"

#ifndef FWSCLBAR_H
#include "FWSclBar.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwgadgts
#endif

//========================================================================================
// CLASS FW_CScrollBar
//========================================================================================

const FW_ClassTypeConstant FW_LScrollBar = FW_TYPE_CONSTANT('s','c','b','r');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LScrollBar, FW_CScrollBar, FW_CScrollBar::Create, FW_CView::Read, FW_CScrollBar::Destroy, FW_CView::Write)

//----------------------------------------------------------------------------------------
//	FW_CScrollBar::Create
//----------------------------------------------------------------------------------------

void* FW_CScrollBar::Create(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(stream);
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CScrollBar, (ev));
}

//----------------------------------------------------------------------------------------
//	FW_CScrollBar::Destroy
//----------------------------------------------------------------------------------------

void FW_CScrollBar::Destroy(void* object, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_CScrollBar* self = (FW_CScrollBar*) object;
	delete self;
}

