//========================================================================================
//
//	File:				SLODFStr.h
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef SLODFSTR_H
#define SLODFSTR_H

#ifndef SLSTRREP_H
#include "SLStrRep.h"
#endif

#if defined(FW_ODFLIB_IMPORT)
#pragma import on
#elif defined(FW_ODFLIB)
#pragma export on
#endif

//========================================================================================
// Undo string API
//========================================================================================

FW_EXTERN_C_BEGIN

void SL_API  FW_PrivLoadUndoStrings(Environment* ev, 
									unsigned long undoMsgID, 
									FW_HString* undoString, 
									FW_HString* redoString);

void SL_API  FW_PrivLoadDefaultUndoStrings(Environment* ev, 
										FW_HString* undoString, 
										FW_HString* redoString);
									
void SL_API  FW_PrivLoadODFString(Environment* ev, 
									unsigned long stringID, 
									FW_HString* stringRep);
FW_EXTERN_C_END

#if defined(FW_ODFLIB_IMPORT)
#pragma import off
#elif defined(FW_ODFLIB)
#pragma export off
#endif

#endif
