//============================================================================
//
//	File:				SLODFStr.fr
//	Release Version:	$ ODF 1 $
//
//	Contains:	Miscellaneous ODF Strings
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//============================================================================

#ifndef SLODFSTR_K
#include "SLODFStr.k"
#endif

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

//----------------------------------------------------------------------------
//	Miscellaneous Strings
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (FW_kODFStrings)
{
	FW_kAboutString,			"About ";
	FW_kODFCopyright,			"OpenDoc Development Frameworks\r 1993-96 Apple Computer, Inc.";
	FW_kInsertSameDocument,		"Attempt to insert a document inside itself has failed.";
}

//----------------------------------------------------------------------------
//	Strings for printing
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (FW_kPrintingStrings)
{
	FW_kNoDefaultPrinterMsg, "There is no default printer selected.  Please use Chooser to select one.";
	FW_kPrintingCanceledMsg, "As you requested, printing has been canceled.";
}
